> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.core/general/wisej.core.wisejresourcesattribute.md).

# WisejResourcesAttribute

Namespace: **Wisej.Core**

Assembly: **Wisej.Framework** (4.0.0.0)

Enables automatic resource loading form the assembly.

{% tabs %}
{% tab title="C#" %}

```csharp
public class WisejResourcesAttribute : Attribute
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class WisejResourcesAttribute
    Inherits Attribute
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) WisejResourcesAttribute()

Initializes a new instance of [WisejResourcesAttribute](/api/wisej.core/general/wisej.core.wisejresourcesattribute.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) WisejResourcesAttribute(ExcludeList)

Initializes a new instance of [WisejResourcesAttribute](/api/wisej.core/general/wisej.core.wisejresourcesattribute.md) using the initialization arguments.

| Name            | Type                                                          | Description                        |
| --------------- | ------------------------------------------------------------- | ---------------------------------- |
| **ExcludeList** | [String](https://docs.microsoft.com/dotnet/api/system.string) | List of resource files to exclude. |

### ![](/files/hsR4ok3152WyAf8J2C1u) WisejResourcesAttribute(ExcludeList, RootName)

Initializes a new instance of [WisejResourcesAttribute](/api/wisej.core/general/wisej.core.wisejresourcesattribute.md) using the initialization arguments.

| Name            | Type                                                          | Description                                                 |
| --------------- | ------------------------------------------------------------- | ----------------------------------------------------------- |
| **ExcludeList** | [String](https://docs.microsoft.com/dotnet/api/system.string) | List of resource files to exclude.                          |
| **RootName**    | [String](https://docs.microsoft.com/dotnet/api/system.string) | Default namespace. If left null, it uses the assembly name. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) ExcludeList

[String](https://docs.microsoft.com/dotnet/api/system.string): List of embedded resource files that are excluded from the bundled js and css in wisej.js and wisej.css.

### ![](/files/hsR4ok3152WyAf8J2C1u) RootName

[String](https://docs.microsoft.com/dotnet/api/system.string): Default namespace name, or root name of the embedded resources.

## Methods

### ![](/files/lIX317sDtMTZJBi9oSIx) GetAttribute(assembly)

Returns the [WisejResourcesAttribute](/api/wisej.core/general/wisej.core.wisejresourcesattribute.md) assigned to the specified *assembly* .

| Parameter    | Type                                                                         | Description                                                                                                                      |
| ------------ | ---------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| **assembly** | [Assembly](https://docs.microsoft.com/dotnet/api/system.reflection.assembly) | The assembly for which to retrieve the [WisejResourcesAttribute](/api/wisej.core/general/wisej.core.wisejresourcesattribute.md). |

**Returns:** [WisejResourcesAttribute](/api/wisej.core/general/wisej.core.wisejresourcesattribute.md). The instance of the [WisejResourcesAttribute](/api/wisej.core/general/wisej.core.wisejresourcesattribute.md) assigned to the assembly or null.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.core/general/wisej.core.wisejresourcesattribute.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
